<template>
  <div class="input-box">
    <input
      type="text"
      :placeholder="`Digite o ${placeHolder}`"
      v-model="value"
      v-on:keyup.enter="add(value)"
    />
    <button v-on:click="add(value)">
      <img :src="bntIcon" />
    </button>
  </div>
</template>

<script>
import PlunsIcon from '../../assets/icons/plus.svg'
export default {
  props: ['placeHolder','addCallback'],
  data () {
    return { 
      bntIcon: PlunsIcon,
      value: '' 
    }
  },
  methods: {
    add (value) {
      if (value) {
        this.addCallback(value)
        this.value = ''
      }      
    }
  }
}
</script>

<style lang="scss">
.input-box {
  display: flex;
  overflow: hidden;
  border-radius:  5px;
  height: 4rem;

  input {
    font-size: 1.5rem;
    width: 100%;
    border: solid 3px #F5F5F5;
    border-right: none;
    padding: 1rem;
  }

  input:focus {
    border: solid 3px #00B2EE;
    border-right: none;
  }

  button {
    border: none;
    width: 100%;
    max-width: 5rem;
    background-color: #00B2EE;
  }

  button:hover {
    background-color: #00BFFF;
  }

  img {
    width: 2.5rem;
    outline: none;
  }

  }
</style>

